Bug 247790 - patch: fix build of superkaramba on DragonFly
Summary: patch: fix build of superkaramba on DragonFly
Status: RESOLVED FIXED
Alias: None
Product: superkaramba
Classification: Miscellaneous
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Other
: NOR normal
Target Milestone: ---
Assignee: Ryan Nickell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-13 22:51 UTC by Alex Hornung
Modified: 2010-12-14 16:21 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.5.5
Sentry Crash Report:


Attachments
fix superkaramba compile errors on DragonFly (5.77 KB, patch)
2010-08-13 22:51 UTC, Alex Hornung
Details
Link to libkvm on DragonFly. (728 bytes, patch)
2010-10-21 15:39 UTC, Raphael Kubo da Costa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Hornung 2010-08-13 22:51:23 UTC
Created attachment 50509 [details]
fix superkaramba compile errors on DragonFly

Version:           unspecified (using KDE 4.4.5) 
OS:                other

* add DragonFly preprocessor macro ifs where necessary to make superkaramba work on DragonFly.
* additionally it needs to be linked against libkvm. I'm not familiar with cmake so I can't provide a patch, but it should be straightforward for anyone with the
required knowledge about cmake.

For reference, I fixed it manually adding -lkvm to _KDE_build/superkaramba/src/CMakeFiles/superkaramba-bin.dir/link.txt

Reproducible: Always
Comment 1 Raphael Kubo da Costa 2010-10-21 04:46:49 UTC
SVN commit 1188011 by rkcosta:

Fix compilation errors on DragonFly BSD.

From the bug report description:

* add DragonFly preprocessor macro ifs where necessary to make superkaramba
work on DragonFly.

Patch by Alex Hornung <alexh AT dragonflybsd DOT org>

CCBUG: 247790


 M  +1 -1      python/misc.cpp  
 M  +19 -19    sensors/mem.cpp  
 M  +3 -3      sensors/mem.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1188011
Comment 2 Raphael Kubo da Costa 2010-10-21 04:48:11 UTC
SVN commit 1188012 by rkcosta:

Backport r118011.

Fix compilation errors on DragonFly BSD.

From the bug report description:

* add DragonFly preprocessor macro ifs where necessary to make superkaramba
work on DragonFly.

Patch by Alex Hornung <alexh AT dragonflybsd DOT org>

CCBUG: 247790


 M  +1 -1      python/misc.cpp  
 M  +19 -19    sensors/mem.cpp  
 M  +3 -3      sensors/mem.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1188012
Comment 3 Raphael Kubo da Costa 2010-10-21 04:50:34 UTC
The kvm issue can be solved by changing the check in superkaramba/src/CMakeLists.txt. Currently, it links to libkvm only if ${CMAKE_SYSTEM_NAME} begins with "FreeBSD"; this value is usually obtained from uname -a. What does DragonFly return?
Comment 4 Alex Hornung 2010-10-21 08:28:42 UTC
1 # uname -a
DragonFly dragon.local 2.9-DEVELOPMENT DragonFly v2.9.0.13.gf9527-DEVELOPMENT #65: Wed Oct 20 19:40:31 BST 2010     root@dragon.local:/usr/obj/usr/src/sys/MP  i386
Comment 5 Raphael Kubo da Costa 2010-10-21 15:39:49 UTC
Created attachment 52717 [details]
Link to libkvm on DragonFly.

Alex, can you please check if the attached patch fixes the linking problems on DragonFly?
Comment 6 Raphael Kubo da Costa 2010-10-30 05:25:05 UTC
Ping?
Comment 7 Alex Hornung 2010-10-30 09:36:24 UTC
Sorry Raphael,

I am reinstalling the system right now and will be compiling kde over the weekend. I will let you know as soon as I can.

Thank you very much for your help
Comment 8 Alex Hornung 2010-12-14 15:44:41 UTC
Sorry for the long delay, had a busy month. The patch seems to work, thanks!
Comment 9 Raphael Kubo da Costa 2010-12-14 16:20:03 UTC
SVN commit 1206477 by rkcosta:

Fix build on DragonFly BSD.

DragonFly needs to link to libkvm, just like FreeBSD.

CCBUG: 247790


 M  +3 -5      CMakeLists.txt  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1206477
Comment 10 Raphael Kubo da Costa 2010-12-14 16:21:48 UTC
SVN commit 1206479 by rkcosta:

Backport r1206477.

Fix build on DragonFly BSD.

DragonFly needs to link to libkvm, just like FreeBSD.

BUG: 247790
FIXED-IN: 4.5.5


 M  +3 -5      CMakeLists.txt  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1206479